Bug 1714260 - Unable to render provisioning template if snippet associated with partition table
Summary: Unable to render provisioning template if snippet associated with partition t...
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-27 14:06 UTC by Avijit Roy
Modified: 2019-06-14 03:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25898 None None None 2019-06-05 07:01:32 UTC
Red Hat Knowledge Base (Solution) 4183171 None None None 2019-06-13 18:58:15 UTC

Description Avijit Roy 2019-05-27 14:06:04 UTC
Description of problem:

If we associate snippet with partition table, Rendering provisioning template throws below error. 

"Warning! There was an error rendering the Kickstart default template: The specified snippet 'testsnippet' does not exist, or is not a snippet."


Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
100%

Steps to Reproduce:
1. Create a snippet under partition table and put a simple code like echo "test"
2. Associate it with correct Organization, Location and Operating system. 
3. Create a host and associate it with that operating system and resolve the provisioning templates (Kickstart default).
4. Go to Hosts > Provisioning Template > Render 'Kickstart Default' 

Actual results:

Gets below error. 

"Warning! There was an error rendering the Kickstart default template: The specified snippet 'testsnippet' does not exist, or is not a snippet."

testsnippet : Is the name of snippet. 

Expected results:

Provisioning template should be rendered. 


Additional info:

In satellite 6.4 it works fine.

Comment 5 Pat Riehecky 2019-05-29 19:28:45 UTC
I believe this is fixed upstream in https://github.com/theforeman/foreman/pull/6430


Note You need to log in before you can comment on or make changes to this bug.